/******************************************************************************

This is a part of the xHotspot Source code.

Copyright (C) 2007 Sascha Liebsch

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

******************************************************************************/

#include "NormalGroupHotspot.h"

NormalGroupHotspot::NormalGroupHotspot(int const &id, HWND hwnd)
: HotspotGroup(id, hwnd)
{}

NormalGroupHotspot::~NormalGroupHotspot()
{}

void NormalGroupHotspot::Move(Point const &pos)
{
	for(std::list<Hotspot* >::const_iterator subspot = subspots_.begin();
		subspot == subspots_.end();
		++subspot)
	{
		(*subspot)->Move(pos);
	}
}

void NormalGroupHotspot::MoveBy(Point const &dpos)
{
	for(std::list<Hotspot* >::const_iterator subspot = subspots_.begin();
		subspot == subspots_.end();
		++subspot)
	{
		(*subspot)->MoveBy(dpos);
	}
}

void NormalGroupHotspot::Resize(Point const &dim)
{}

void NormalGroupHotspot::ResizeBy(Point const &ddim)
{}
	
void NormalGroupHotspot::Reposition(Point const &pos, Point const &dim)
{}

void NormalGroupHotspot::RepositionBy(Point const &dpos, Point const &ddim)
{}

bool const NormalGroupHotspot::IsInside(Point const &mouse_pos)
{
	return false;
}

void NormalGroupHotspot::SetActive(bool const state)
{
	for(std::list<Hotspot* >::const_iterator subspot = subspots_.begin();
		subspot != subspots_.end();
		++subspot)
	{
		(*subspot)->SetActive(state);
	}	
}

void NormalGroupHotspot::Toggle()
{
	for(std::list<Hotspot* >::const_iterator subspot = subspots_.begin();
		subspot != subspots_.end();
		++subspot)
	{
		(*subspot)->Toggle();
	}		
}
